# ==================================================================
# ArmarX properties
# ==================================================================

# ArmarX.CachePath:  Path for cache files
#  Attributes:
#  - Default:            ${HOME}/.armarx/mongo/.cache
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.CachePath = ${HOME}/.armarx/mongo/.cache


# ArmarX.DataPath:  Semicolon-separated search list for data files
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.DataPath = ""


# ArmarX.Verbosity:  Global logging level for whole application
#  Attributes:
#  - Default:            Verbose
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {Debug, Error, Fatal, Important, Info, Undefined, Verbose, Warning}
# ArmarX.Verbosity = Verbose


# ArmarX.DisableLogging:  Turn logging off in whole application
#  Attributes:
#  - Default:            0
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.DisableLogging = 0


# ArmarX.ApplicationName:  Application name
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.ApplicationName = ""


# ArmarX.DatapathConfig:  Path to the (usually generated) config file containing all data paths of all dependent projects. This property usually does not need to be edited.
#  Attributes:
#  - Default:            ./config/datapath.cfg
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.DatapathConfig = ./config/datapath.cfg


# ArmarX.Config:  Comma-separated list of configuration files 
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.Config = ""


# ==================================================================
# ArmarX.SelfLocalizationDynamicSimulation properties
# ==================================================================

# ArmarX.SelfLocalizationDynamicSimulation.RobotName:  Name of the robot in the simulator (as specified in the robot's xml file)
#  Attributes:
#  - Case sensitivity:   no
#  - Required:           yes
ArmarX.SelfLocalizationDynamicSimulation.RobotName = "MMM"


# ArmarX.SelfLocalizationDynamicSimulation.SimulatorName:  Name of the simulator component that should be used
#  Attributes:
#  - Default:            ArmarXPhysicsWorld
#  - Case sensitivity:   no
#  - Required:           no
ArmarX.SelfLocalizationDynamicSimulation.SimulatorName = Simulator


# ArmarX.SelfLocalizationDynamicSimulation.MinimumLoggingLevel:  Local logging level only for this component
#  Attributes:
#  - Default:            Undefined
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {Error, Fatal, Info, Undefined, Verbose, Warning}
# ArmarX.SelfLocalizationDynamicSimulation.MinimumLoggingLevel = Undefined


# ArmarX.SelfLocalizationDynamicSimulation.ObjectName:  Name of IceGrid well-known object
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
ArmarX.SelfLocalizationDynamicSimulation.ObjectName = "HumanSelfLocalizationDynamicSimulation"
ArmarX.SelfLocalizationDynamicSimulation.RobotStateComponentName=HumanRobotStateComponent


